/*
 *  TrackRenderer — Render overlay tiles of GPS tracks for OpenLayers
 *  Copyright (C) 2008 Joerg Reuter <jreuter@yaina.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package de.yaina.trackrenderer;

/**
 * This is just a small structure holding tile / coordinate information
 * @author Joerg Reuter <jreuter@yaina.de>
 */
public class TileCoordinates {

    public int tile_x;
    public int tile_y;
    public int x;
    public int y;

    /**
     * Initialize this coordinate structure
     * @param tile_x horizontal tile number
     * @param tile_y vertical tile number
     * @param x      horizontal position on the tile
     * @param y      vertical position on the tile
     */
    public TileCoordinates(int tile_x, int tile_y, int x, int y) {
        this.tile_x = tile_x;
        this.tile_y = tile_y;
        this.x = x;
        this.y = y;
    }
}